#!/bin/bash

# Packager : JP <jp.guillemin@free.fr>

soft='bootsplash'
softversion='3.1.8'
packageversion='64.2'

arch='i486'
cpu='i686'

buildir=$(pwd)
srcpkg="$buildir/$soft-$softversion.tar.bz2"
src="$buildir/$soft-$softversion"
package="$soft-$softversion-$arch-$packageversion"
dest="/tmp/$package"

cd $buildir
rm -rf $src
tar -xvf $srcpkg
rm -f $dest.tgz
rm -rf $dest

# Theme
tar -xvf bootsplash-theme.tar.gz 
mv bootsplash-theme $dest


export CFLAGS="-O2 -march=$arch -mtune=$cpu" 

(
cd $src/splash
make 

mkdir -p $dest/sbin
cp -pf splash $dest/sbin
chmod 755 $dest/sbin/*
)

( cd $dest
  find . | xargs file | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded
)
( cd $dest/usr/man
  find . -name "*.?" | xargs gzip -9
)

mkdir -p $dest/usr/doc/$soft-$softversion
cp -pf $src/Documentation/* $dest/usr/doc/$soft-$softversion
chmod 644 $dest/usr/doc/$soft-$softversion/*

mkdir -p $dest/install 
cat << "EOF" > $dest/install/slack-desc
bootsplash: Bootsplash - graphical boot process for the linux kernel
bootsplash:
bootsplash: The Linux bootsplash provides nice graphics (JPEG), 
bootsplash: Antialiased text rendering (TrueType), Animations (MNG)
bootsplash: and Progress Bar.
bootsplash:
bootsplash: 
bootsplash:
bootsplash: 
bootsplash: 
bootsplash: 
EOF


mkdir -p $dest/usr/src/$soft-$softversion
( cd $buildir
cp -a build-$soft.sh $dest/usr/src/$soft-$softversion/
)

cd $dest
chown -R root:root .
makepkg -l y -c n $dest.txz

# cleanup

rm -rf $dest
rm -rf $src
